Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Community Member

LMS 4.1 IOS XE support on 4500 series

Hi All,

We have new devices c4500 series which are running IOS XE in it. but LMS doesn't recognized these devices.

I have checked in the supported list for LMS 4.1 where they mention IOS XE is supported only for ASR family.

The following tables list the devices supported in Cisco Prime LAN Management Solution 4.1:

Can you guys let me know whether these kind(4500 running IOS XE) are supported by the LMS 4.1.???

Regards,

Channa

11 REPLIES
Cisco Employee

LMS 4.1 IOS XE support on 4500 series

what is the version of IOS-XE , you are running ?

Thanks- Afroz [Do rate the useful post] ****Ratings Encourages Contributors ****
Community Member

LMS 4.1 IOS XE support on 4500 series

We are running - cat4500e-universal.SPA.03.04.00.SG.151-2.SG.bin

Regards,

Channa

Cisco Employee

Re: LMS 4.1 IOS XE support on 4500 series

Hi Channa,

Did you check the available device packages ?

Go to Admin > System > Software Center > Device Update

select >     Inventory Config And Image Management  and see if you are able to find device pacakges for 4500 IOS-XE

Thanks-

Afroz

Thanks- Afroz [Do rate the useful post] ****Ratings Encourages Contributors ****
Community Member

LMS 4.1 IOS XE support on 4500 series

Hi Afroj,

I have recently updated the device package on LMS post updating i have faced the same issue. but there are other device

which are working fine. the only difference they are running

cat4500e-universalk9.SPA.03.04.00.SG.151-2.SG.bin(SSH image) .

Regards,

Channa

Cisco Employee

LMS 4.1 IOS XE support on 4500 series

Hi Channa,

Then support of the device should not be a challange.

try to delete and re-add the device.

Thanks

Thanks- Afroz [Do rate the useful post] ****Ratings Encourages Contributors ****
Community Member

LMS 4.1 IOS XE support on 4500 series

Hi Afroj,

I have updated the packages and re-added, i was trying to add them in the poller,while fetching the instances encountered

with above error. LMS not able to fetch the interfaces of this device. even in the quick reports the values are null for

this device.

logs during package update :

Proceeding with install..

Loaded psu.properties..

INFO: Installing for rme

Locking the package repository...

got all packages Repository

Checking Dependencies...

WARNING: SharedHelpIOS(2.0):Version 2.0 already installed

WARNING: SharedHelpSS(2.0):Version 2.0 already installed

WARNING: SharedHelpCatOS(2.0):Version 2.0 already installed

Error while installing MDS: e:\psu_download\rme\MDS.zip cannot be installed beca

use, the current mdf version:1.53 is LESS THAN the minimum required mdf version:

1.56

Error while installing NGA: e:\psu_download\rme\NGA.zip cannot be installed beca

use, the current mdf version:1.53 is LESS THAN the minimum required mdf version:

1.66

Error while installing ONS: e:\psu_download\rme\ONS.zip cannot be installed beca

use, the current mdf version:1.53 is LESS THAN the minimum required mdf version:

1.62

Error while installing CE500: e:\psu_download\rme\CE500.zip cannot be installed

because, the current mdf version:1.53 is LESS THAN the minimum required mdf vers

ion:1.56

Error while installing Nexus: e:\psu_download\rme\Nexus.zip cannot be installed

because, the current mdf version:1.53 is LESS THAN the minimum required mdf vers

ion:1.58

Error while installing ACE: e:\psu_download\rme\ACE.zip cannot be installed beca

use, the current mdf version:1.53 is LESS THAN the minimum required mdf version:

1.59

Error while installing NAM: e:\psu_download\rme\NAM.zip cannot be installed beca

use, the current mdf version:1.53 is LESS THAN the minimum required mdf version:

1.64

Stopping the services....Please hold on.

Stopping services..

Services successfully stopped

Committing package AP1200(6.1)

Committing package ASA(6.2)

Committing package ASR(5.2)

Committing package AutoDev(2.1)

Committing package Cat4000IOS(9.1)

Committing package GenericVendorDev(3.3)

Committing package GSS(3.1)

Committing package LibCommon(3.2.8)

Committing package LibDcma(2.5.2)

Committing package LibInventory(3.4.7)

Committing package LibSwim(2.9.8)

Committing package LibTechnology(1.3.1)

Committing package SG(1.0)

Committing package SharedCredentialUpdaterWLCRule(2.0.1)

Committing package SharedDcmaCE(2.3.1)

Committing package SharedDcmaIOS(2.7.5)

Committing package SharedDcmaSS(2.4.1)

Committing package SharedDcmaWLC(2.0.1)

Committing package SharedInventoryCatIOS(2.4.1)

Committing package SharedNetshowIOS(2.5.2)

Committing package SharedNetshowSS(1.3.1)

Committing package SharedNetshowWLC(2.0.1)

Committing package SharedSwim2900XL(2.7.2)

Committing package SharedSwimACE(2.0.1)

Committing package SharedSwimAironet(2.1.2)

Committing package SharedSwimIOS(2.9.11)

Committing package SharedSwimMDS9000(1.8.2)

Committing package SharedSwimNAM(2.2.4)

Committing package SharedSwimPix(2.4.2)

Committing package SharedSwimWLC(1.4.1)

Committing package WLC(4.2)

Starting the services....Please hold on.

Starting services..

Released the Lock...

Successfully installed packages AP1200(6.1) ,ASA(6.2) ,ASR(5.2) ,AutoDev(2.1) ,C

at4000IOS(9.1) ,GenericVendorDev(3.3) ,GSS(3.1) ,LibCommon(3.2.8) ,LibDcma(2.5.2

) ,LibInventory(3.4.7) ,LibSwim(2.9.8) ,LibTechnology(1.3.1) ,SG(1.0) ,SharedCre

dentialUpdaterWLCRule(2.0.1) ,SharedDcmaCE(2.3.1) ,SharedDcmaIOS(2.7.5) ,SharedD

cmaSS(2.4.1) ,SharedDcmaWLC(2.0.1) ,SharedInventoryCatIOS(2.4.1) ,SharedNetshowI

OS(2.5.2) ,SharedNetshowSS(1.3.1) ,SharedNetshowWLC(2.0.1) ,SharedSwim2900XL(2.7

.2) ,SharedSwimACE(2.0.1) ,SharedSwimAironet(2.1.2) ,SharedSwimIOS(2.9.11) ,Shar

edSwimMDS9000(1.8.2) ,SharedSwimNAM(2.2.4) ,SharedSwimPix(2.4.2) ,SharedSwimWLC(

1.4.1) ,WLC(4.2)

Installation Completed for Inventory Config And Image Management

Regards,

Channa

Community Member

LMS 4.1 IOS XE support on 4500 series

Hi,

i just took a debug while fetching the instances for the devices

[ Jan 13 15:08:04 IST 2014 ],INFO ,[TP-Processor10],com.cisco.nm.upm.pollermgmt.uii.helper.PollerMgmtUtil,getDeviceInstanceTreeData,203,Operation --> Create

[ Jan 13 15:08:04 IST 2014 ],INFO ,[TP-Processor10],com.cisco.nm.upm.pollermgmt.uii.helper.PollerMgmtUtil,getDeviceInstanceTreeData,204,Operation --> 0

[ Jan 13 15:08:04 IST 2014 ],INFO ,[TP-Processor10],com.cisco.nm.upm.pollermgmt.uii.helper.PollerMgmtUtil,getDeviceInstanceTreeData,205,Operation --> test1

[ Jan 13 15:08:04 IST 2014 ],DEBUG,[TP-Processor10],com.cisco.nm.upm.pollermgmt.uii.helper.PollerMgmtUtil,getDeviceInstanceTreeData,222,=======response frm instances:  {com.cisco.nm.dcr.DeviceId@6d9={TemplateId = 1

=[Lcom.cisco.nm.upm.pollermgmt.InstanceObject;@1c39237}}

[ Jan 13 15:08:04 IST 2014 ],DEBUG,[TP-Processor10],com.cisco.nm.upm.pollermgmt.uii.helper.PollerMgmtUtil,validateInstances,1826,Validating Instances in the pollerMap

[ Jan 13 15:08:04 IST 2014 ],DEBUG,[TP-Processor10],com.cisco.nm.upm.pollermgmt.uii.helper.PollerMgmtUtil,validateInstances,1847,deviceIdcom.cisco.nm.dcr.DeviceId@6d9

[ Jan 13 15:08:04 IST 2014 ],DEBUG,[TP-Processor10],com.cisco.nm.upm.pollermgmt.uii.helper.PollerMgmtUtil,validateInstances,1855,templateIdTemplateId = 1

[ Jan 13 15:08:04 IST 2014 ],DEBUG,[TP-Processor10],com.cisco.nm.upm.pollermgmt.uii.helper.PollerMgmtUtil,validateInstances,1861,templateIdTemplateId = 1

[ Jan 13 15:08:04 IST 2014 ],DEBUG,[TP-Processor10],com.cisco.nm.upm.pollermgmt.uii.helper.PollerMgmtUtil,validateInstances,1871,instancesFoundfalse

[ Jan 13 15:08:04 IST 2014 ],DEBUG,[TP-Processor10],com.cisco.nm.upm.pollermgmt.uii.action.PollerMgmtAction,perform,932,Validating instancesfalse

[ Jan 13 15:08:04 IST 2014 ],INFO ,[TP-Processor10],com.cisco.nm.upm.common.objsel.UPMDeviceSelectorTreeGenerator,,51,UPM Device selector called 

[ Jan 13 15:08:04 IST 2014 ],DEBUG,[TP-Processor10],com.cisco.nm.upm.licensing.UPMAuthenticateImpl,checkForLicense,149,Mode is :true

[ Jan 13 15:08:04 IST 2014 ],DEBUG,[TP-Processor10],com.cisco.nm.upm.licensing.UPMAuthenticateImpl,checkForLicense,172,UPM has already been visited...no licence check done

[ Jan 13 15:08:04 IST 2014 ],DEBUG,[TP-Processor10],com.cisco.nm.upm.licensing.UPMAuthenticateImpl,checkForLicense,181,FAILURE_REASON_UI:

[ Jan 13 15:08:04 IST 2014 ],DEBUG,[TP-Processor10],com.cisco.nm.upm.licensing.UPMAuthenticateImpl,checkForLicense,182,FAILURE_REASON_CLI:

[ Jan 13 15:08:04 IST 2014 ],DEBUG,[TP-Processor10],com.cisco.nm.upm.licensing.UPMAuthenticateImpl,checkForLicense,185,UPM Licence Check success...

[ Jan 13 15:08:04 IST 2014 ],DEBUG,[TP-Processor10],com.cisco.nm.upm.licensing.UPMAuthenticateImpl,checkForLicense,195,Reason if any:

[ Jan 13 15:08:04 IST 2014 ],DEBUG,[TP-Processor10],com.cisco.nm.upm.licensing.UPMAuthenticateImpl,doLicenseCheck,64,Value of SB is:

Regards,

Channa

Community Member

LMS 4.1 IOS XE support on 4500 series

Hi Afroj,

Any suggestions ??

Regards,

Channa

Community Member

LMS 4.1 IOS XE support on 4500 series

Hi Channa,

Could you share the screen shot from the page "Admin > System > Software Center> Device Update" and click on the Common Services hyper link.

Let us know if the MDF version is showing to be 1.53. The current MDF version is 1.86 and in that case you are running pretty old school.

Regards,

Syed Khalid

Community Member

LMS 4.1 IOS XE support on 4500 series

Hi Khalid,

Please find the attached screenshot.

update_1.jpgupdate_2.jpg

And i have updated packages(MDF & RME) to the latest available. I have facing this issue with the devices running

same code. Please let me know if you require any other outputs.

Regards,

Channa

Community Member

LMS 4.1 IOS XE support on 4500 series

Hi Channa,

Have you verified the MDF to be running 1.86?

Regards,

Syed Khalid

422
Views
0
Helpful
11
Replies
CreatePlease to create content